﻿//====================================================
// Описание работы классов и методов исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
//====================================================

namespace RazorPagesDownload.MyCode
{
    public static class MyUtility
    {
        // Допустимые файлы для загрузки.
        // Конструкция с версии C# 8.0
        public static string ContentTypes(string ext) =>
            ext switch
            {
                ".txt" => "text/plain",
                ".css" => "text/css",
                ".html" => "text/html",
                ".rtf" => "text/rtf",
                ".xml" => "text / xml",
                ".jpg" => "image/jpeg",
                ".jpeg" => "image/jpeg",
                ".png" => "image/png",
                ".svg" => "image/svg+xml",
                ".webp" => "image/webp",
                ".gif" => "image/gif",
                ".docx" => "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
                ".xlsx" => "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
                ".pdf" => "application/pdf",
                ".mp4" => "video/mp4",
                ".mpeg" => "video/mpeg",
                _ => "multipart/mixed"
            };

    }



}
